如何让NVidia GeForce GT 210驱动程序与Lucid Lynx一起使用?

我有一个带有NVIDIA GeForce GT 210显卡和Ubuntu 10.4的工作站,而且我试图让它们互动的麻烦更加严重。 (在各种其他设备和早期的Ubuntu版本中,我一直是相当满意的NVIDIA客户。)

首先,仅仅使用“管理 - >硬件驱动程序”立即推荐的NVIDIA车辆驱动程序实际上根本没有运行。 基于这个答案,我试图直接从NVIDIA驱动程序,并获得它有利一段时间。 今天(可能是因为重启,或者apt-get upgrade)我再次失去了好运。

目前,Nouveau车辆驾驶员似乎存在问题。 我试图消除它:

  • apt-get --purge remove xserver-xorg-video-nouveau(推荐为这里)并重启

  • 我还尝试了modprobe -r nouveau但它提供了FATAL: Module nouveau is in use.

但是当试图(重新)执行NVidia是安装程序(NVIDIA - Linux - x86_64 - 256.53。运行)时,它仍然抱怨Nouveau。 我开始缺乏建议,所以任何一种援助都肯定会有所帮助!

0
2019-05-13 04:13:13
资源 分享
答案: 4

我遇到了类似的麻烦。 试试这个:

  1. 去除了新的利用突触的东西。
  2. 下载并安装nVIDIA车辆驱动程序
  3. 重新启动,在grub食物选择中,选择“恢复模式”
  4. 通过键入telinit 3转到运行等级3
  5. 安装nvidia:sudo sh
  6. 我需要将sudo gedit /etc/modprobe.d/blacklist.conf中的nouveau列入黑名单,并添加此行blacklist nouveau

这使我受益。

我为GT 230尝试过

0
2019-12-05 01:11:04
资源

我有一个210GT,它实际上一直在与10.04到11.04毫无问题地合作,直到现在为止使用nvidia-rpeository的现有车辆驾驶员。 为了使驱动程序有效运行,您可能需要创建一个new / etc / X11 / xorg。 conf文件。 为此,请打开一个无法治愈的对象,然后键入:

sudo nvidsia-xconfig

运行上述命令肯定会备份旧的xorg.conf文档。 一旦实际开发了新文档,您只需重新启动即可。

0
2019-12-04 09:57:28
资源

Ubuntu X组保留了一组向后移植的驱动程序这里。 您需要尝试安装这些,否则每次升级时都需要重新安装驱动程序。

0
2019-05-17 16:44:29
资源

似乎只要我克服了这个问题,我就有能力切换到使用更新的位(由apt-get upgrade立即安装:2.6.32 - 21到2.6.32 - 25),并且还有那个位Nouveau组件不再运行(可能是因为摆脱了xserver - xorg - 视频剪辑 - nouveau计划?)。

在此之后,在安装了理想的linux-headers计划之后,NVIDIA安装程序接受了继续,并且还恢复了位组件并将其正确使用。

在那之后,一些双显示器配置,并且最终每个小东西看起来都相当平滑。 哇: - )

(非NVIDIA驱动程序的问题包括:1)对于VGA结果,照片保持在不正确的区域平坦; 你也无法通过手动重新调整显示器2)DVI的颜色(或比较),并且VGA结果真的很多。 卡中只​​有一个DVI结果,因此我需要使用VGA进行各种其他显示。)

我不确定是否有人肯定会遇到我所做的同样的混乱,但是, 总结一下 ,对于具有相同或可比较的图形卡的任何其他人:

  • 能够 让NVidia GeForce GT 210在Ubuntu 10.04上运行起来非常棒。
  • 直接从NVIDIA(如此处所述)获取驱动程序,但在安装之前, 完全删除Nouveau

编辑: 删除Nouveau驱动程序

我需要再次设置我的设备(由于系统磁盘,Intel X25-M SSD,损坏并且还需要更改......),这一刻绕过任何类型的eCryptfs故障,所以目前我更清楚一下你是如何具体删除并禁用Nouveau驱动程序(以便能够安装NVIDIA驱动程序):

  1. apt-get --purge remove xserver-xorg-video-nouveau
  2. 如定义在这个答案:编辑/etc/default/grub并添加行GRUB_CMDLINE_LINUX="nouveau.modeset=0"
  3. sudo update-grub
  4. 重启

在那之后,您需要能够使用安装NVIDIA驱动程序而不会出现Nouveau问题。

0
2019-05-17 16:19:31
资源